---
title: Product
slug: countdownapi/ebay-product-data-api/parameters/product
docTags: 
createdAt: 2024-07-29T12:49:20.015Z
---

# Product Parameters

****<font color="#52c41a">`GET`</font>  `/request`

The Product Parameters are applicable when making a request with  `type=product`  to retrieve details of a single product on Ebay - the product is specified using either the  `epid`  and  `ebay_domain`  parameters or the  `url`  parameter (where the  `url`  parameter contains a link to an Ebay product page). The parameters should be appended as querystring parameters to the Ebay Product Data API `GET` HTTP request.

Product details are retrieved from the [product page](https://www.ebay.co.uk/itm/233599133856) for a single product on Ebay.

![](https://apiimages.imgix.net/countdownapi/images/png/docs/product.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Product Page")

:::hint{type="info"}
**Lookup an EPID by GTIN / ISBN / UPC / EAN**
Countdown API can automatically convert GTIN/ISBN/UPC/EAN codes to EPIDs and return product data. For details of how to lookup Ebay product details by GTIN/ISBN/UPC/EAN please see refer to the [guide](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/reference/gtin-upc-ean-to-epid).
:::

For example, to request details for the EPID  `233599133856`  on  `ebay.com`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.countdownapi.com/request?api_key=demo&type=product&ebay_domain=ebay.com&epid=233599133856
```

```curl
curl -L --get https://api.countdownapi.com/request \
-d api_key="demo" \
-d type="product" \
-d ebay_domain="ebay.com" \
-d epid="233599133856"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "product",
  ebay_domain: "ebay.com",
  epid: "233599133856"
}

// make the http GET request to Countdown API
axios.get('https://api.countdownapi.com/request', { params })
  .then(response => {

    // print the JSON response from Countdown API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'product',
  'ebay_domain': 'ebay.com',
  'epid': '233599133856'
}

# make the http GET request to Countdown API
api_result = requests.get('https://api.countdownapi.com/request', params)

# print the JSON response from Countdown API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'product',
  'ebay_domain' => 'ebay.com',
  'epid' => '233599133856'
]);

# make the http GET request to Countdown API
$ch = curl_init(sprintf('%s?%s', 'https://api.countdownapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from Countdown API
echo $api_result;

?>
```
:::

***

### Product Parameters

The following parameters are available for all requests made when  `type=product` .

| *`Parameter`*                   | *`Required`* | *`Description`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| ------------------------------- | ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| *`ebay_domain`*                 | *`optional`* | The Ebay domain to retrieve product details from for the product specified in the `epid` parameter. For a full list of supported Ebay domains see [Supported Ebay Domains ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/reference/ebay-domains).  <br />**Note** : If the `ebay_domain` and `epid` parameters are supplied then the `url` parameter is ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| *`epid`*                        | *`optional`* | The Ebay EPID (product ID) to retrieve product details for. Used in combination with the `ebay_domain` parameter.  <br />**Note** : If the `epid` and `ebay_domain` parameters are supplied then the `url` parameter is ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| *`gtin`*                        | *`optional`* | A GTIN, ISBN, UPC or EAN code to retrieve results for. Internally Countdown API will first convert the GTIN/ISBN/UPC/EAN to an Ebay EPID, then retrieve the results for that EPID from Ebay. Used in combination with the `ebay_domain` parameter.  <br />**Note** : If the `gtin` and `ebay_domain` parameters are supplied then the `url` parameter is ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| *`skip_gtin_cache`*             | *`optional`* | By default Countdown API will cache the GTIN-to-EPID mapping for 2 months. To force a new GTIN lookup (for example, if you suspect the existing mapping is stale), use the `skip_gtin_cache=true` request parameter (note that using `skip_gtin_cache=true` decrements 2 credits from your balance, instead of 1).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| *`url`*                         | *`optional`* | The Ebay product-page URL to retrieve product details from.  <br />**Note** : If the `url` parameter is supplied then the `ebay_domain` and `epid` parameters are ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| *`include_html`*                | *`optional`* | Determines whether raw HTML is included in the response (this can increase the size of the response). Can be set to `true` or `false` (the default).  <br />**Note** When adding requests with `include_html=true` to a Collection the maximum number of requests is lower (100) because including the HTML within the response makes the Collection Result Sets much larger. The limit is in place to ensure Result Set files are of a manageable size. If you have need to run a large number of requests all with `include_html=true` then simply split the requests across multiple 100-request Collections.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| *`include_parts_compatibility`* | *`optional`* | Determines whether Countdown returns the `parts_compatibility` property as part of the product request. The parts compatibility properties are typically shown in the descriptive section of the Ebay product listing page - for example, a compatibility table showing the vehicle a particular part is compatible with (screenshot shown below).  <br />**Note** : When `include_parts_compatibility=true` 2 credits are charged instead of 1 for the request (this is due to the increased number of internal requests required to retrieve parts compatibility attributes).  <br />**Note** : When `include_parts_compatibility=true` is only available on Ebay US or Ebay UK (i.e. when `ebay_domain=ebay.com` or `ebay_domain=ebay.co.uk` ).  <br />**Note** : When `include_parts_compatibility=true` the `epid` parameter must be supplied (as it is required for parts compatibility lookup). The `url` parameter cannot be used when `include_parts_compatibility=true` .<br />- <br />:inlineImage[]{src="https://apiimages.imgix.net/countdownapi/images/png/docs/countdown_parts_compatability.png?auto=format&ixlib=react-9.5.1-beta.1&w=350" alt caption} |

***

**Next Steps**
     [Product Results](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/results/product)
